#-------------------------------------------------------------
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
#-------------------------------------------------------------


args <- commandArgs(TRUE)
options(digits=22)
library("Matrix")

A = matrix(1, 10, 10);
B = matrix(2, 10, 10);
c = 3;
D = matrix(4, 10, 10);

X = list(A, B, c, D, matrix(5, 3, 3), 6);

for( i in 1:length(X) ) {
  tmp = X[i]
  if( !exists("tmp") )
     print("ERROR: non-existing entry "+i );
}

R = as.matrix(sum(as.matrix(X[[5]])));

writeMM(as(R, "CsparseMatrix"), paste(args[1], "R", sep=""));
